Anonymous Login
2018-06-25 09:30 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001941OpenClonkEnginepublic2017-12-28 20:46
ReporterLuchs 
Assigned ToLuchs 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version 
Target Version8.0Fixed in Version8.0 
Summary0001941: Show error when attempting to load an old savegame
DescriptionWe have tons of script changes since 7.0, which is why savegames from 7.0 don't work at all in 8.0. Instead of confusing players why inventory switching and throwing items doesn't work, show an error dialog when trying to load a savegame from 7.0 (or earlier).

In IRC, Sven proposed:

18:31 <Sven2> Savegames store a lot of internal stuff. If you updated clonk in the meantime, many things tend to break
18:32 <Sven2> I think we should revert to a second, slightly expanded save-as-scenario mode for savegames between major versions

- which may work for some scenarios. If we end up implementing that, the error dialog should have a "continue anyways" button.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005925

Caesar (developer)

Dunno about Sven's idea. It sounds like it would just shift the reasons for breakage elsewhere. But yeah, at least adding a warning dialogue may be a good idea.

~0005987

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/2b3863a12cf94faf27629c1f6cbcaad3bbf20377

Changeset 2b3863a by Lukas Werling <lukas.werling@gmail.com>
Show warning when attempting to load an old savegame (0001941)

+Notes

-Issue History
Date Modified Username Field Change
2017-09-17 17:03 Luchs New Issue
2017-12-05 16:05 Caesar Note Added: 0005925
2017-12-28 20:46 occ Note Added: 0005987
2017-12-28 20:46 Luchs Assigned To => Luchs
2017-12-28 20:46 Luchs Status new => resolved
2017-12-28 20:46 Luchs Resolution open => fixed
2017-12-28 20:46 Luchs Fixed in Version => 8.0
+Issue History